Subject: Re: bug#71363: 14.0.5; AUCTeX 14.05 and LaTeX Mode

From: Arash Esbati <[email-masked]>
Date: Tue, 02 Jul 2024 21:12:49 +0200

Hi Paul,

Paul Nelson <[email-masked]> writes:

> My thought was that making AUCTeX load automatically in src mode
> blocks is similar to doing the same for tex files.  Both require
> adjustments that could be left to the user, but have been automatic
> for at least a couple decades.  While forcing such adjustments via
> tex-site goes against the general convention that loading packages
> should have no direct effect, there is ultimately no loss of
> flexibility, since the user can always tweak major-mode-remap-alist
> and org-src-lang-modes after AUCTeX loads.  The question is what
> should be the default behavior.  Here I would vote in favor of the
> established practice, to spare other users the issue noted by Robert
> (which I had also encountered).

Yes, that sounds reasonable, but OTOH, we had also a lot of complaints
that AUCTeX took over latex-mode.  So for me, introducing new names was
also a chance to cut off with that old habit.  But as I said in my other
message, I don't want to block a feature I don't use.  If you and Keita
think we should do this, let's do it.

Best, Arash